package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class MusicGroupStudentQueryInfo extends QueryInfo {

  @ApiModelProperty(value = "科目编号")
  private Integer subjectId;

  @ApiModelProperty(value = "学员姓名")
  private String studentName;

  @ApiModelProperty(value = "乐团编号")
  private String musicGroupId;

  @ApiModelProperty(value = "班级编号")
  private Integer classGroupId;

  @ApiModelProperty(value = "是否激活")
  private Boolean isActive;

  @ApiModelProperty(value = "是否有未开始的vip课、网管课")
  private Boolean hasCourse;

  @ApiModelProperty(value = "是否欠费")
  private Boolean oweFlag;

  @ApiModelProperty(value = "是否锁定")
  private Integer isLock;

  @ApiModelProperty(value = "学员状态 NORMAL(NORMAL, 在读), LEAVE(LEAVE, 请假), QUIT(QUIT, 退班)",required = false)
  private String studentStatus;

  @ApiModelProperty(value = "缴费状态  PAID_COMPLETED(完成缴费), NON_PAYMENT(未缴费), PROCESSING(缴费中)",required = false)
  private String paymentStatus;

  @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
  private Integer carePackage;

  @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
  private Integer comeOnPackage;

  @ApiModelProperty(value = "年级",required = false)
  private String currentGrade;

  @ApiModelProperty(value = "入学年份",required = false)
  private String createYear;

  private boolean isExport = false;
  //是否有会员
  @ApiModelProperty(value = "0否1是2未生效")
  private Integer hasMember;

  public Integer getHasMember() {
    return hasMember;
  }

  public void setHasMember(Integer hasMember) {
    this.hasMember = hasMember;
  }

  public Boolean getOweFlag() {
    return oweFlag;
  }

  public void setOweFlag(Boolean oweFlag) {
    this.oweFlag = oweFlag;
  }

  public Integer getCarePackage() {
    return carePackage;
  }

  public void setCarePackage(Integer carePackage) {
    this.carePackage = carePackage;
  }

  public Integer getComeOnPackage() {
    return comeOnPackage;
  }

  public void setComeOnPackage(Integer comeOnPackage) {
    this.comeOnPackage = comeOnPackage;
  }

  public Boolean getHasCourse() {
    return hasCourse;
  }

  public void setHasCourse(Boolean hasCourse) {
    this.hasCourse = hasCourse;
  }

  public boolean getIsExport() {
    return isExport;
  }

  public void setIsExport(boolean export) {
    isExport = export;
  }

  public Integer getClassGroupId() {
    return classGroupId;
  }

  public void setClassGroupId(Integer classGroupId) {
    this.classGroupId = classGroupId;
  }

  public Integer getIsLock() {
    return isLock;
  }

  public void setIsLock(Integer isLock) {
    this.isLock = isLock;
  }

  public Boolean getIsActive() {
    return isActive;
  }

  public void setIsActive(Boolean active) {
    isActive = active;
  }

  public String getStudentName() {
    return studentName;
  }

  public void setStudentName(String studentName) {
    this.studentName = studentName;
  }

  public String getMusicGroupId() {
    return musicGroupId;
  }

  public void setMusicGroupId(String musicGroupId) {
    this.musicGroupId = musicGroupId;
  }

  public Integer getSubjectId() {
    return subjectId;
  }

  public void setSubjectId(Integer subjectId) {
    this.subjectId = subjectId;
  }

  public String getStudentStatus() {
    return studentStatus;
  }

  public void setStudentStatus(String studentStatus) {
    this.studentStatus = studentStatus;
  }

  public String getPaymentStatus() {
    return paymentStatus;
  }

  public void setPaymentStatus(String paymentStatus) {
    this.paymentStatus = paymentStatus;
  }

  public String getCurrentGrade() {
    return currentGrade;
  }

  public void setCurrentGrade(String currentGrade) {
    this.currentGrade = currentGrade;
  }

  public String getCreateYear() {
    return createYear;
  }

  public void setCreateYear(String createYear) {
    this.createYear = createYear;
  }
}
